Update Role
curl --request PATCH \
--url https://api.{your-broker}.slate-labs.com/roles/{role_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"description": "<string>",
"can_export_pii": true,
"level": 1,
"is_active": true
}
'import requests
url = "https://api.{your-broker}.slate-labs.com/roles/{role_id}"
payload = {
"display_name": "<string>",
"description": "<string>",
"can_export_pii": True,
"level": 1,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
description: '<string>',
can_export_pii: true,
level: 1,
is_active: true
})
};
fetch('https://api.{your-broker}.slate-labs.com/roles/{role_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"customer_scope": "<string>",
"customer_access": "<string>",
"customer_view_scope": "<string>",
"customer_edit_scope": "<string>",
"pii_email": "<string>",
"pii_phone": "<string>",
"can_export_pii": true,
"level": 123,
"is_system": true,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Roles & Teams
Update Role
PATCH
/
roles
/
{role_id}
Update Role
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 128Available options:
own, team, all Available options:
view, edit Available options:
own, team, all Available options:
none, own, team, all Available options:
full, masked, hidden Available options:
full, masked, hidden Required range:
x >= 0Response
Successful Response
⌘I